Package org.apache.sling.maven.jspc.classloader

## Class DynamicClassLoaderManagerImpl

- java.lang.Object
- - org.apache.sling.maven.jspc.classloader.DynamicClassLoaderManagerImpl

All Implemented Interfaces:
  `org.apache.sling.commons.classloader.DynamicClassLoaderManager`

    public class DynamicClassLoaderManagerImpl
    extends Object
    implements org.apache.sling.commons.classloader.DynamicClassLoaderManager

This is the default implementation of the dynamic class loader manager.

### Constructor Summary

Constructors
`DynamicClassLoaderManagerImpl​(org.osgi.framework.BundleContext ctx, org.osgi.service.packageadmin.PackageAdmin pckAdmin, ClassLoader parent, DynamicClassLoaderManagerFactory factory)` Create a new service instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `deactivate()` Deactivate this service.
`ClassLoader` `getDynamicClassLoader()`
`ClassLoader[]` `getDynamicClassLoaders()` Return the dynamic class loaders to use Currently this is just the package admin class loader.
`boolean` `isActive()` Check if this service is still active.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicClassLoaderManagerImpl

    public DynamicClassLoaderManagerImpl​(org.osgi.framework.BundleContext ctx,
                                         org.osgi.service.packageadmin.PackageAdmin pckAdmin,
                                         ClassLoader parent,
                                         DynamicClassLoaderManagerFactory factory)

Create a new service instance

Parameters:
  `ctx` - The bundle context of the class loader bundle
  `pckAdmin` - The package admin.
  `parent` - The parent class loader.

### Method Detail

#### deactivate

    public void deactivate()

Deactivate this service.

#### isActive

    public boolean isActive()

Check if this service is still active.

#### getDynamicClassLoader

    public ClassLoader getDynamicClassLoader()

Specified by:
  `getDynamicClassLoader` in interface `org.apache.sling.commons.classloader.DynamicClassLoaderManager`
See Also:
  `DynamicClassLoaderManager.getDynamicClassLoader()`

#### getDynamicClassLoaders

    public ClassLoader[] getDynamicClassLoaders()

Return the dynamic class loaders to use Currently this is just the package admin class loader.